%define oname libva-vdpau-driver

Name:		vaapi-driver-vdpau
Summary:	VA-API driver for VDPAU interface
Group:		Video
Version:	0.7.4
Release:	5
License:	GPLv2+
URL:		http://www.freedesktop.org
Source0:	http://www.freedesktop.org/software/vaapi/releases/libva-vdpau-driver/libva-vdpau-driver-%{version}.tar.bz2
# fix build with recent mesa (not a technically correct fix):
Patch0:		PFNGLMULTITEXCOORD2FPROC_vaapi-driver-vdpau.patch
Patch1:		libva-vdpau-driver-0.7.4-drop-h264-api.patch
# API changes: http://cgit.freedesktop.org/~aplattner/libvdpau/commit/?id=186195b1a84f2517205522e7ab8e0f62ad61c329
Patch2:		libva-vdpau-driver-0.7.4-libvdpau0.8.patch
BuildRequires:	pkgconfig(libva)
BuildRequires:	pkgconfig(vdpau)
Provides:	%{oname} = %{EVRD}
Provides:	vdpau-video = %{EVRD}

%description
VDPAU driver backend for VA API, a video acceleration API.

%files
%doc AUTHORS NEWS
%{_libdir}/dri/*_drv_video.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure2_5x
%make

%install
%makeinstall_std


%changelog
* Tue Jul 22 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.7.4-5
+ Revision: bdf1af5
- Add patches to fix build with new libraries


